Users running a non-download version of Vanilla (pulled from github), on branch release/2019.016 or master from the last 2 weeks should upgrade to release/2019.017 or latest master for security reasons. Downloaded official open sources releases are not affected.
Please upgrade here. These earlier versions are no longer being updated and have security issues.

Vanilla Forums LTI with Canvas

From what I understand-

The plug in supported by Canvas to connect the two via LTI doesn't work in the latest version. It doesn't register at all in the latest version.

The most recent version is 2.2.1, the version the plug in supports is 2.0.18.1.

Do you know of anyone using an open source version of VF that uses the latest install (or close to latest - at least 2.2) and the LTI plug in for Canvas? Is there an updated LTI available?

Tagged:

Comments

  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    You should really provide a link if you ask questions concerning external resources. https://www.eduappcenter.com/apps/70

    As far as I can see, that plugin didn't make into this forums addon section. So asking the question here seems to be the wrong place.

    I haven't found any developer docs, but as far as I can see the LTI (whatever that might be) uses OAuth which is used in the Twitter and Steam connect plugins, too. So I guess they would make a good blueprint for that plugin you requested.


    hgtonight
Sign In or Register to comment.